package com.logicbig.example;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
public class ValueExampleMain {
    @Bean
    public MyConfigBean myBean() {
        return new MyConfigBean();
    }

    public static void main(String[] args) {
        ConfigurableApplicationContext context = SpringApplication.run(ValueExampleMain.class, args);
        MyConfigBean bean = context.getBean(MyConfigBean.class);
        System.out.println(bean);
    }

}