package com.logicbig.example;

import org.springframework.beans.factory.annotation.Value;

import java.util.Currency;
import java.util.concurrent.TimeUnit;

public class MyConfigBean {
    @Value("${app.refresh-rate}")
    private int refreshRate;
    @Value("${app.refresh-time-unit}")
    private TimeUnit refreshTimeUnit;
    @Value("${app.trade-currency}")
    private Currency tradeCurrency;

    public int getRefreshRate() {
        return refreshRate;
    }

    public void setRefreshRate(int refreshRate) {
        this.refreshRate = refreshRate;
    }

    public TimeUnit getRefreshTimeUnit() {
        return refreshTimeUnit;
    }

    public void setRefreshTimeUnit(TimeUnit refreshTimeUnit) {
        this.refreshTimeUnit = refreshTimeUnit;
    }

    public Currency getTradeCurrency() {
        return tradeCurrency;
    }

    public void setTradeCurrency(Currency tradeCurrency) {
        this.tradeCurrency = tradeCurrency;
    }

    @Override
    public String toString() {
        return "MyAppProperties{" +
                "\nrefreshRate=" + refreshRate +
                ",\n refreshTimeUnit=" + refreshTimeUnit +
                ",\n tradeCurrency=" + tradeCurrency +
                "\n}";
    }
}